org.apache.catalina.util

## Class ConcurrentDateFormat

- java.lang.Object
- - org.apache.catalina.util.ConcurrentDateFormat

-     public class ConcurrentDateFormat
      extends Object

  A thread safe wrapper around `SimpleDateFormat` that does not make use of ThreadLocal and - broadly - only creates enough SimpleDateFormat objects to satisfy the concurrency requirements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TimeZone` | `GMT`
    `static String` | `RFC1123_DATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentDateFormat(String format, Locale locale, TimeZone timezone)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(Date date)`
    `static String` | `formatRfc1123(Date date)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RFC1123_DATE

          public static final String RFC1123_DATE

      See Also:
        Constant Field Values

    - #### GMT

          public static final TimeZone GMT

  - ### Constructor Detail

    - #### ConcurrentDateFormat

          public ConcurrentDateFormat(String format,
                              Locale locale,
                              TimeZone timezone)

  - ### Method Detail

    - #### formatRfc1123

          public static String formatRfc1123(Date date)

    - #### format

          public String format(Date date)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.